Bug 1582049 - Exclude filter for rpms: updating the filter rule from "Range" to "Greater than" causes no package excluded
Summary: Exclude filter for rpms: updating the filter rule from "Range" to "Greater th...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Content Views
Version: 6.3.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Justin Sherrill
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-24 05:34 UTC by matt jia
Modified: 2021-09-09 14:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:05:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
propose a patch (1.23 KB, application/mbox)
2018-05-24 07:13 UTC, matt jia
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20876 0 Normal Closed Editing a content view package filter rule with greater or less than breaks the filter 2020-02-26 19:29:19 UTC

Description matt jia 2018-05-24 05:34:26 UTC
Description of problem:

Given a CV that is using an exclude filter for RPMS. The filter has a rule that is using version range on a package. After changing this rule to "Greater than",
no packages got excluded when publishing the CV. 


Version-Release number of selected component (if applicable):


How reproducible:

Easy


Steps to Reproduce:
1. Create a CV with "Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server " repo

2. Create an exclude fitler for kernel pacakge like this

Type: Exclude
RPM: kernel
Version "range": between 3.10.0-327.36.3.el7 and 3.10.0-693.36.3.el7

3. update the filter rule to:

Type: Exclude
RPM: kernel
Version "Greater than": 3.10.0-693.36.3.el7

4. publish the CV

Actual results:

Kernel 3.10.0-862.2.3.el7 is included 


Expected results:

Kernel 3.10.0-862.2.3.el7 should not be included because it is higher than 3.10.0-693.36.3  


Additional info:

Comment 1 matt jia 2018-05-24 07:13:20 UTC
Created attachment 1440959 [details]
propose a patch

This is built on top of 3.4.5.64.

Comment 3 Partha Aji 2018-06-08 19:22:46 UTC
Connecting redmine issue http://projects.theforeman.org/issues/23867 from this bug

Comment 4 Partha Aji 2018-06-08 19:28:31 UTC
Connecting redmine issue http://projects.theforeman.org/issues/20876 from this bug

Comment 5 Satellite Program 2018-06-08 20:18:29 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20876 has been resolved.

Comment 6 Brad Buckingham 2018-06-11 12:22:55 UTC
Aligning to 6.4, since the fix should already be in the release.

Comment 12 Bryan Kearney 2018-10-16 19:05:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.